 /* sample code for MAX Expansion TrackBot with PRIZM 
 *  02-21-17 author TDL
 */
 
#include <PRIZM.h>
PRIZM prizm;

void setup() {

  prizm.PrizmBegin(); 
  prizm.setServoSpeeds(50,50,0,0,0,0);
  prizm.setServoPositions(175,50,0,0,0,0);
  prizm.setMotorInvert(2,1);
  
}

void loop() {
 
prizm.setServoPosition(1,50);                    // lift arm to carry position  
delay(2500);
prizm.setServoPosition(2,50);                    // set gripper to open position
delay(1000);

  while(prizm.readSonicSensorCM(3)<=8){          // wait until Ultrasonic sensors reads an object within range
  prizm.setServoPosition(1,175);                 // lower arm to gripping position
  delay(2500);
  prizm.setServoPosition(2,85);                  // close gripper
  delay(1000);
  prizm.setServoPosition(1,50);                  // lift arm to carry position
  delay(1000);
  prizm.setMotorPowers(30,30);                   // power on both DC motors to move forward
  delay(1000);
  prizm.setMotorPowers(125,125);                 // stop both DC motors with brake action
  delay(500);
  prizm.setServoPosition(2,50);                  // open gripper to drop object
  delay(1000);
   }

}
